import { Component } from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { BasicDataService } from '../../../services/basic.service';
import { KnowledgeService } from '../../../services/knowledge.service';

@Component({
  selector: 'app-basic',
  standalone: true,
  imports: [RouterOutlet],
  template: `<router-outlet></router-outlet>`,
  styleUrl: './basic.component.less',
})
export class BasicComponent {
  constructor(
    private basic: BasicDataService,
    private knowledge: KnowledgeService
  ) {
    this.basic.init();
    this.knowledge.init();
  }
}
